package pxds.etmo

import android.content.Intent
import android.graphics.Color
import com.blankj.utilcode.util.BarUtils
import com.test.basd.supercleanermax.databinding.HraifmBinding
import pxds.lmmd.zmwf.Bpfw
import pxds.lmmd.zmwf.Uawv
import kotlin.random.Random

class Qaet : Bpfw<HraifmBinding>() {

    private var mProgress = 0

    override val binding: HraifmBinding by lazy {
        HraifmBinding.inflate(layoutInflater)
    }

    override fun initView() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        Uawv.ifGuest = true

        loadPro()
    }

    private fun loadPro() {
        if (mProgress >= 100) {
            binding.iaolkux.progress = mProgress
            startActivity(Intent(this, Ousa::class.java))
            finish()
            return
        }
        binding.iaolkux.postDelayed({
            mProgress += Random.nextInt(5)
            binding.iaolkux.progress = mProgress
            loadPro()
        }, 80)

    }
}